.hidden {
    display: none;
}

:focus {
    outline: none;
}

.confirm__privacy-wrapper {
    /*margin-bottom: 64px;*/
}

input.js-client-type ~ label.nav-item {
    border-bottom: 2px solid rgb(155, 78, 222);
    color: rgb(155, 78, 222);
    cursor: pointer;
}

input.js-client-type:checked ~ label.nav-item {
    color: rgb(0, 0, 0);
    border-color: transparent;
    cursor: default;
}

.registration__tabs {
    padding-top: 24px;
    justify-content: center;
    margin-bottom: 40px;
}

.client__type-link .nav-link:last-child {
    margin: 0;
}

.registration__tabs .client__type-link:first-child {
    margin-right: 8px;
}
.registration__tabs .client__type-link:last-child {
    margin-left: 8px;
}


select {
    outline: none;
}

.select_form .select2-selection {
    width: 100%;
    border-radius: 10px;
    background: #E6E6E6;
    height: 48px;
    border: 1px solid rgb(230, 230, 230);
    padding-left: 24px;
    font-family: ObjectSansRegular, "Object Sans";
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    appearance: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.select2-container {
    width: 100%!important;
}

.select_form .payment__method-container .select2-selection {
    width: 100%;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder,
.select2-container .select2-selection--single .select2-selection__rendered {
    padding-left: 0;
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;

}

.payment__method-dropdown .select2-results > .select2-results__options {
    max-height: 280px;
}

.payment__method-dropdown {
    border-radius: 0 0 25px 25px;
    padding-bottom: 20px;
    background: rgb(235, 235, 235);
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    border: none;
    background: url("../icons/main/black_checkmark.svg") center center / cover no-repeat;
    width: 8px;
    height: 6px;
    position: relative;
    top: 0;
    right: 12px;
    min-width: 10px;
    min-height: 9px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: none;
}

.select2-container--default.select2-container--open.select2-container--below .select2-selection--single {
    /*border-radius: 25px 25px 0 0;*/
    border-width: 1px;
    border-style: solid;
    border-color: rgb(170, 170, 170) rgb(170, 170, 170) transparent;
    border-image: initial;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    padding-left: 24px;
    margin-top: 6px;
}

.select2-container--default.select2-container--open.select2-container--above .select2-selection--single {
    border-radius: 0 0 25px 25px;
    border-width: 1px;
    border-style: solid;
    border-color: transparent rgb(170, 170, 170) rgb(170, 170, 170);
    border-image: initial;
}

#button {
    background-color: rgb(255, 255, 255);
    width: 80px;
    height: 80px;
    border: 6px solid rgb(155, 78, 222);
    border-radius: 50%;
    right: 28px;
    position: fixed;
    bottom: 90px;
    transition: background-color 0.3s ease 0s, opacity 0.5s ease 0s, visibility 0.5s ease 0s;
    opacity: 0;
    visibility: hidden;
    z-index: 3;
}

#button {
    width: 60px;
    height: 60px;
    border: 4px solid rgb(155, 78, 222);
    border-radius: 50%;
    right: unset;
    left: 28px;
    bottom: 16px;
    margin: 0;
    cursor: pointer;
}


#button.show {
    opacity: 0.75;
}


.purple-scroll-up img {
    margin: 18px;
}

.purple-scroll-up img {
    margin: 10px;
}

.body-loader {
    max-width: 100vw;
    max-height: 100vh;
    overflow: hidden;
}

.body-loader::before {
    content: "";
    width: 100vw;
    height: 100vh;
    position: fixed;
    display: block;
    background: rgba(255, 255, 255, 0.5);
    z-index: 9997;
}

.loader-spinner {
    display: none;
}

.body-loader .loader-spinner {
    position: fixed;
    display: block;
    top: 50%;
    left: 50%;
    background-color: transparent;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    z-index: 9999;
    box-shadow: rgba(255, 68, 0, 0.3) 12px -12px 0, rgba(255, 68, 0, 0.4) 17px 0 0 -1px, rgba(255, 68, 0, 0.5) 12px 12px 0 -2px, rgba(255, 68, 0, 0.6) 0 17px 0 -3px, rgba(255, 68, 0, 0.7) -12px 12px 0 -4px, rgba(255, 68, 0, 0.8) -17px 0 0 -5px, rgba(255, 68, 0, 0.9) -12px -12px 0 -6px, rgb(255, 68, 0) 0 -17px 0 -7px;
    animation: 0.75s steps(8) 0s infinite normal none running clockwise;
}

.validation-prompt {
    color: #D85D5B;
    font-size: 13px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 13px;
    margin-left: 8px;
}

.validation-prompt a {
    color: #D85D5B;
    font-size: 13px;
}

.hk-clone-modal-blank .modal-body {
    padding: 0;
    max-height: 80vh;
    overflow: auto;
}

.hk-clone-modal-blank .pulse {
    display: none;
}

.login__smscode-container .input-del-img {
    /* right: 36px; */
}

.registration__smscode-container .input-del-img {
    /* right: 150px; */
}

input[type="number"]::-webkit-inner-spin-button, input[type="number"]::-webkit-outer-spin-button {
    appearance: none;
    margin: 0;
}

.hk-clone-modal-login .modal-footer {
    display: none;
}

.btn-wrapper {
}

.sign_in .pulse {
}


.small-text__link-keeper {
    justify-content: space-around;
}

.small-text__link-keeper a {
    padding: 5px 0;
    margin: 0;
}

.slides-numbers .divide {
    margin: 0 2px 0 -2px !important;
}

.slides-numbers .active, .slides-numbers .total {
    margin: 0 !important;
}


.service-menu__link_logout {
    transition: none 0s ease 0s;
    padding-left: 0;
}

.service-menu__link_logout svg {
    transition: none 0s ease 0s;
}

.customers .trustpilot-widget {
    margin-top: 48px;
}

table[class$="discount__table"] th, table[class$="discount__table"] td {
    white-space: break-spaces;
}

.all-countries-flags {
    margin-bottom: 0;
    margin-top: 30px;
}

.all-countries-flags ._container {
    padding-bottom: 30px;
}

.create_account_2 .form-group input {
    overflow: hidden;
    padding-right: 30px;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.all-countries-flags ._container::after {
    content: "";
    width: 100%;
    height: 1px;
    display: block;
    padding-top: 20px;/*48px*/
    margin-bottom: -24px;
    border-bottom: 1px dashed rgb(191, 191, 191);
}

h2.high-performance-gpu-servers__title,
.h_2.high-performance-gpu-servers__title {
    word-break: unset;
}

.slick-slide img {
    display: block;
    object-fit: cover;
}

.location__text-keeper {
    width: 100%;
}

.js-livechat-trigger {
    /*padding: 0px 0.5em;*/
}

.breadcrumb-item + .breadcrumb-item::before {
    content: "→";
}

section.page__section-less_margin {
    margin-bottom: 60px;
}

.dedicated-server-config__country-keeper > div.green__label-wrapper {
    background: rgb(205, 232, 150);
}

.smscode__input-wrapper{
    flex-wrap:wrap;
}

.smscode__input-wrapper .validation-prompt{
    width: 100%;
}

.offering-services h2, h1, h3,
.offering-services .h_2, .h_1, .h_3{
    font-size: 54px;
    line-height: 62px;
}

.iti__country-list{
    max-width: 374px;
}

ul.iti__country-list li{
    margin-right:0;
    padding-right:20px;
}

.news-page aside{
    /*margin-top: 25px;*/
    margin-top: -15px;
}

.news-page__item-keeper-block h5,
.news-page__item-keeper-block .h_5{
    padding: 0;
}

.pulse{
    display: none;
}
.pulse span{
    animation: none;
}

.grecaptcha-badge { visibility: hidden; }

.login__recaptcha-privacy{
    text-align:center;
    font-size: .8em;
}

.login__recaptcha-privacy a{
    font-size: 1em;
}

.attention {
    width: 675px;
    margin-bottom: 32px
}

.attention-red {
    color: red;
}

.attention p {
    margin: 16px 0
}

.captcha__container.check-error{
    box-shadow:0 0 0 2px red
}

.mb-64{
    margin-bottom: 64px;
}

.news-events__item-keeper{
    align-items: flex-start;
    width: calc(100% - 375px);}

.news-events__item-keeper h1,
.news-events__item-keeper .h_1{
    padding-bottom:48px;
}

.hk-first-step-registration.disabled,
.hk-registration-btn.disabled {
    pointer-events: none;
}

.news-page__item_title{
    margin-top: 12px;
}

.main-menu ul li div a img {
    transform: rotateZ(180deg) scale(-1) !important;
    transition: transform .15s ease-in-out;
    margin-left: -5px;
}

.news .slider-holder_1 .hk-date p,
.block__news-header p{
    background-color: #e6e6e6;
    display: inline;
    padding: 4px 16px;
    margin-right: 4px;
    font-size: 12px;
}

.dropdown-content a {
    width: 100%;
    white-space: nowrap;
}

.block__news-header {
    display: flex;
}

.news .slick-slide {
    width: 355px;
    margin: 0 54px 0 0;
    height: auto;
}

.aside-block__item .hk-date p{
    padding-bottom: 0;
}

.slider_navigation a.show-all,
.mobile-links a{
    margin: 0 6px;
}

.slider_navigation a.show-all.last-child {
    margin-right: 40px;
}

#yii-debug-toolbar{
    z-index: 9999999999;
}

.html__sitemap-list{

    /* padding: 3px 0; */
}

.html__sitemap-item{
    page-break-inside: avoid;
    break-inside: avoid;
    /* padding: 2px 20px; */
    position: relative;
}


.html__sitemap-list,  .html__sitemap-list *{
    box-sizing:border-box;
}

.html__sitemap-list.list__depth-1{
    column-count: 2;
    page-break-inside: avoid;
    break-inside: avoid;
    display: block;
    width: 100%;
    /* line-height: 0; */
}

.html__sitemap-list.list__depth-1 .html__sitemap-item.item__depth-1 > a{
    color:black;
    text-decoration:none;
    font-size:24px;
    font-weight:700;
    border-bottom: 1px solid #c7c6c6;
    padding-bottom:14px;
    margin:28px 0;
    margin-top: 0;
    display:block;
}

.html__sitemap-list.list__depth-2{
    margin-bottom:28px;
}

.html__sitemap-item {
    padding: calc(var(--i))px;
}

.html__sitemap-list.list__depth-1 .html__sitemap-item.single-item > a{
    border-color:transparent;
    margin-bottom:-14px;
}

.collapsable__list-wrapper[data-collapse="1"]:not(.collapsed) > ul {
    height: 100px;
    overflow:hidden;
}


.collapsable__list-wrapper[data-collapse="0"] .spatialize_object{
    display:none;
}

.spatialize_object{
    position:absolute;
    top:.5em;
    right:0;
    z-index:1;
    cursor:pointer;
}

.collapsable__list-btn{
    width:1.75em;
    height:1.75em;
    border-radius:50%;
    border:2px solid #c7c6c6;
    position:relative;
    opacity:.75;
}

.collapsable__list-btn:after, .collapsable__list-btn:before{
    content:'';
    width:100%;
    height:2px;
    background:#c7c6c6;
    position:absolute;
    display:block;
    top:calc(50% - 1px);
}

.collapsable__list-btn:after{}
.collapsable__list-wrapper:not(.collapsed) .collapsable__list-btn:before{
    transform:rotate(90deg);
    top:calc(50% - 1px);
}

.small-text__link{
    font-size:inherit;
}

.news-page__item{
    width: 100%;
}

.other-articles{
    padding-top: 38px;
    border-top:1px solid #afafaf;
}

.other-articles h2,
.other-articles .h_2{
    margin-bottom: 24px;
}

.hk__pagination-block{
    padding-bottom:36px;
    padding-top:36px;
    margin-top:1rem;
}

.hk__pagination-item{
    margin:0 10px;
    border-radius: 5px;
    background:#9b4ede;
    color:#fff;
}


.hk__pagination-item a,
.hk__pagination-item span{
    display:flex;
    justify-content:center;
    align-items: center;
    color:#fff;
    width:30px;
    height:30px;
    line-height: normal;
    text-decoration: none;
    margin-bottom: 2px;
}

.hk__pagination-btn{

}

.hk__pagination-item.active{

}

.hk__pagination-item.disabled{

}

.hk__pagination-item.first a,
.hk__pagination-item.last a{
    top: -2px;
    position:relative;
}

.hk__pagination-item.next{

}

.hk__pagination-item.prev{

}

.news .slider_text h4,
.news .slider_text .h_4 {
    color: #9B4EDE;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 0;
}

.news h3,
.news .h_3{
    font-size:40px;
    line-height:56px;
    margin-bottom: 36px;
}

.news h4,
.news .h_4{
    font-size:16px;
    line-height:24px
}

.news ._container{padding-right: 45px;}

.news .slider-container{
    padding-left: 0;
}

.news .slider_navigation{
    right: 0;
}

.news-page__item .flag_icon {
    margin: 0;
}

.hk-badge {
    padding: 4px 16px;
    background-color: #e6e6e6;
    color: #000;
    margin-right: 6px
}

.hk_tagging-rside{
    text-align:left;
}

.hk_tagging-list li{
    display:inline;
}

.cloud__tags-single{

}
.cloud__tags-single h3,
.cloud__tags-single .h_3{
    text-align: left;
}

.cloud__tags-single ul{
    text-align: left;
}

.news-page__item .flag_icon {
    margin: 0;
}

.cloud__tags-single{
    min-width: 100%;
}

.flex{
    display: flex;
}

.news-events__item a{
    text-decoration: none;
}

.article-title,.article-teaser{
    color: #000;
}

.article-link{
    text-decoration:underline
}

#hk-registration-form .smscode-subtitle{
    display:block !important;
}

.right__menu-section{
    align-items: center;
    justify-content: flex-end;
}

@media screen and (min-width: 1280px) {
    .slider-container .media-wrap > div {
        position: relative;
        /*min-height: 350px;*/
    }

    .slider_text {
        z-index: 1;
        background: transparent;
        width: 75%;

    }

    .additional__element {
        width: 31.8%;
    }

    .slider-position {
        position: absolute;
        z-index: 0;
        height: 100%;
        width: auto;
        right: 0;
    }

    .slider-container .media-wrap > div {
        position: relative;
        width: 100%;
    }

    .news-page__item .flag_icon {
        width: unset;
    }

}

@media screen and (max-width: 1366px){
    .cookie-block.cookie__block-wrapper{

    }
    .responsive-navbar ul{
        margin-bottom: 0;
        padding-top: 1rem;
        padding-bottom: 1rem;
        border-bottom: 1px solid #E6E6E6;
    }
    .responsive-navbar li {
        border: none;
    }
    .responsive-navbar .first_nav {
        margin: 0;
    }
}

@media screen and (max-width: 1023px){
    .cookie-block.cookie__block-wrapper{

    }

    /*#hk-registration-form .select_form{*/
    /*    max-width:300px;*/
    /*}*/

    .attention {
        width: 90vw;
    }

    .news-page__item .flag_icon {
        width: unset;
    }

    .pricesNew span{
        margin-bottom: 0;
    }


}

@media screen and (max-width: 1018px) {
    .news-events__item-keeper {
        width: 100%;
    }
    .news-events__item-keeper > .news-events__item > div {
        flex-wrap: wrap;
        gap: 6px;
    }
}
@media screen and (min-width: 768px) {
    .server-config__keeper .server-config__element:hover > img {
        filter: invert(100%);
    }

    .main-menu ul .nav-item:not(.dropdown) > a:hover img {
        transform: rotateZ(70deg) !important;
    }

    .main-menu ul li div a:hover img {
        transform: rotateZ(255deg) scale(-1) !important;
        /*     filter:saturate(0) invert(1); */
        filter:brightness(100);
    }

    .nav-item:hover {
        background-color:#e6e6e6
    }

    /*.nav-item:not(.dropdown):hover  a {*/
    /*    background-color: #E6E6E6;*/
    /*    color: #9B4EDE;*/
    /*    text-decoration: none;*/
    /*}*/

    .html__sitemap-list.list__depth-1 .html__sitemap-item.item__depth-1 > a:hover{
        border-bottom:1px solid #777;
    }

    .collapsable__list-wrapper[data-collapse="1"]:not(.collapsed) > a:hover + ul {
        height: 160px;
    }

    .collapsable__list-btn:hover{
        opacity:1;
    }

    .hk__pagination-item:not(.disabled):hover{
        background:#BC78EB
    }

    .dedicated-server-config__element:hover > img {
        color: white;
        fill: white;
        text-decoration: none;
        filter: invert(100%);
    }
}

@keyframes clockwise {
    100% {
        transform: rotate(360deg) translateZ(0px);
    }
}

@media screen and (max-width: 768px) {
    .responsive-menu-style li.clickable-div img,
    .second_nav li.clickable-div img {
        transform: rotate(0deg);
    }
    .news .news__element .hk-date{
        /* padding-bottom:8px; */
        position:relative;
        display:block;
    }
    h1,
    .h_1{
        font-size: 30px;
        line-height: 40px;
    }

}

@media screen and (max-width: 769px) {
    .news-slide{
        width:318px !important;
    }
}

@media screen and (max-width: 767px) {

    .modal-content .contact-form, .modal-content {
        width: 100%;
    }

    /*.select_form select {*/
    /*    max-width: 300px;*/
    /*}*/

    .validation-prompt {
        max-width: 300px;
    }

    img.slider__icon-image {
        /* display: none; */
        /* top: -18px; */
        opacity: 0;
        z-index: -1;
    }

    /*.cookie-block.cookie__block-wrapper{*/
    /*    padding-right: 15vw;*/
    /*}*/

    .cookie-block.cookie__block-wrapper > div{
        align-items: baseline;
    }

    .cookie-block.cookie__block-wrapper > div > :first-child{
        flex-direction: column;
    }

    .geForce-RTX-3080__title {
        font-size: 54px;
        line-height: 62px;
        /*font-size: 38px;*/
        /*line-height: 46px;*/
    }
    .special-offers .slides-numbers,
    .dedicated-server-config .slides-numbers,
    .additional .slides-numbers{
        margin: 0 22px !important;
    }

    .primary-block h1, h3, .centered_title,
    .primary-block .h_1, .h_3{
        font-size:30px;
        line-height: 40px;
    }

    .news-events__item-keeper h1,
    .news-events__item-keeper .h_1 {
        padding-bottom: 30px;
    }

    .html__sitemap-list.list__depth-1{
        column-count:1
    }

    /*.responsive-menu-style li.clickable-div img,*/
    /*.second_nav li.clickable-div img {*/
    /*    transform: rotate(0deg);*/
    /*}*/

    /*.offering-services h2, h1, h3 {*/
    /*    font-size: 38px;*/
    /*    line-height: 46px;*/
    /*}*/

    .news__element span{
        background:#E6E6E6;
        padding: 0 8px;
        margin: 0 4px 10px 0;
    }

    .news__element .flex{
        display:flex;
    }

    .news__element span > p{
        margin:0;
        padding:0;
        font-size:12px;
    }

    .smscode-title{
        margin:0;
        padding-top:2em;
    }

    #chat-widget-container{
        z-index: 214748363; !important;
    }

}

@media screen and (max-width: 980px) {
    .hk-clone-modal-blank .modal-body {
        max-height: 100%;
        padding-right: 24px;
    }
    .hk-clone-modal-login.hk-clone-modal-blank .modal-body{
        padding-right: 4px;
    }
    .modal-dialog {
        max-width: 100% !important;
        margin: 0;
    }
    .fade.show {
        padding: 0!important;
    }
}

@media screen and (max-width: 461px) {
    .purple-scroll-up img {
        margin: 10px;
    }

    #button {
        width: 60px;
        height: 60px;
        border: 4px solid rgb(155, 78, 222);
        border-radius: 50%;
        /* right: 28px; */
        bottom: 16px;
        /* z-index: 999999999999; */
    }

    #hk-wiget-stock-configure .tabs-animated-shadow {
        margin-top: 24px;
    }

    .smscode-subtitle {
        padding: 0 1em;
        text-align: center;
        display: inline-block !important;
    }

    .select_form select {
        width: 100%;
    }

    .sign-in__links a {
        font-size: 20px;
    }

    /*.validation-prompt {*/
    /*    max-width: 272px;*/
    /*}*/

    .hk__pagination-container{
        width:100%;
        text-align:center;
    }

    .hk__pagination-block{
        display:flex;
        width:100%;
        justify-content:space-between;
    }

    .hk__pagination-item {
        /*margin: 0;*/
        border-radius: 5px;
        background: #9b4ede;
        color: #fff;
    }
}

@media screen and (max-width: 588px) {
    #nav-netherlands-tab{
        text-transform:capitalize;
    }

    .location__link-keeper .nav #nav-netherlands-tab:before{
        content:'Data centers in:';
        display:block;
        pointer-events:none;
        font-size: .75em;
        color: #000;
        position:absolute;
        margin-top:-45px;
        border: transparent !important;
        text-decoration: none !important;
        font-family: ObjectSansRegular, serif;
        font-weight:400;
    }

    .location h3 {
        margin-bottom: 30px;
    }

    .news .slider-holder_1 .hk-date p, .block__news-header p {
        padding: 4px 8px;
        margin-right: 8px;
        font-size: 16px;
    }

    .news .slider_text a {
        margin: 0;
    }

    .news .slider_text h4,
    .news .slider_text .h_4 {
        margin: 16px 0 16px;
    }
}
